using salesbook.Shared.Core.Authorization.Enum;

namespace salesbook.Shared.Core.Helpers;

public static class KeyGroupHelper
{
    public static string ConvertToHumanReadable(this KeyGroupEnum keyGroup)
    {
        return keyGroup switch
        {
            KeyGroupEnum.Agenti => "Agenti",
            KeyGroupEnum.Tecnico => "Tecnico",
            KeyGroupEnum.UtenteAziendale => "Utente Aziendale",
            _ => throw new ArgumentOutOfRangeException(nameof(keyGroup), keyGroup, null)
        };
    }
}